use v5.12;
use warnings;
use lib '/home/lanx/perl/dists/Data-Trace-0.11/lib/';

use Data::Trace;

my $data = {a => [0, {complex => 1}]};
sub BadCall{ $data->{a}[1]{complex} = 42 }
Data::Trace->Trace($data);
BadCall();  # Shows strack trace of where data was changed.
